Ver código fonte

Fix Fysetc S6 FLASH_PAGE_SIZE and test build (#16560)

Jason Smith 4 anos atrás
pai
commit
fc773c2784

+ 1
- 0
.github/workflows/test-builds.yml Ver arquivo

54
         - BIGTREE_SKR_PRO
54
         - BIGTREE_SKR_PRO
55
         - mks_robin
55
         - mks_robin
56
         - ARMED
56
         - ARMED
57
+        - FYSETC_S6
57
 
58
 
58
         # Put lengthy tests last
59
         # Put lengthy tests last
59
 
60
 

+ 1
- 1
buildroot/share/PlatformIO/scripts/fysetc_STM32S6.py Ver arquivo

1
 from os.path import join
1
 from os.path import join
2
-Import("env", "projenv")
2
+Import("env")
3
 
3
 
4
 import os,shutil
4
 import os,shutil
5
 from SCons.Script import DefaultEnvironment
5
 from SCons.Script import DefaultEnvironment

+ 1
- 1
buildroot/share/PlatformIO/variants/FYSETC_S6/variant.h Ver arquivo

149
 /* HAL configuration */
149
 /* HAL configuration */
150
 #define HSE_VALUE               12000000U
150
 #define HSE_VALUE               12000000U
151
 
151
 
152
-#define FLASH_PAGE_SIZE         uint32(4 * 1024)
152
+#define FLASH_PAGE_SIZE         (4U * 1024U)
153
 
153
 
154
 #ifdef __cplusplus
154
 #ifdef __cplusplus
155
 } // extern "C"
155
 } // extern "C"

+ 1
- 0
buildroot/share/git/mftest Ver arquivo

34
      f1)  TESTENV='STM32F103RE' ;;
34
      f1)  TESTENV='STM32F103RE' ;;
35
      f4)  TESTENV='STM32F4' ;;
35
      f4)  TESTENV='STM32F4' ;;
36
      f7)  TESTENV='STM32F7' ;;
36
      f7)  TESTENV='STM32F7' ;;
37
+     s6)  TESTENV='FYSETC_S6' ;;
37
   teensy) TESTENV='teensy31' ;;
38
   teensy) TESTENV='teensy31' ;;
38
      t31) TESTENV='teensy31' ;;
39
      t31) TESTENV='teensy31' ;;
39
      t32) TESTENV='teensy31' ;;
40
      t32) TESTENV='teensy31' ;;

+ 15
- 0
buildroot/share/tests/FYSETC_S6-tests Ver arquivo

1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for FYSETC_S6
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+# Build examples
10
+restore_configs
11
+use_example_configs FYSETC/S6
12
+exec_test $1 $2 "FYSETC S6 Example"
13
+
14
+# cleanup
15
+restore_configs

+ 1
- 1
platformio.ini Ver arquivo

627
   -DVECT_TAB_OFFSET=0x10000
627
   -DVECT_TAB_OFFSET=0x10000
628
   -DUSBCON -DUSBD_USE_CDC -DHAL_PCD_MODULE_ENABLED -DUSBD_VID=0x0483 '-DUSB_PRODUCT="FYSETC_S6"'
628
   -DUSBCON -DUSBD_USE_CDC -DHAL_PCD_MODULE_ENABLED -DUSBD_VID=0x0483 '-DUSB_PRODUCT="FYSETC_S6"'
629
 build_unflags     = -std=gnu++11
629
 build_unflags     = -std=gnu++11
630
-extra_scripts     = buildroot/share/PlatformIO/scripts/fysetc_STM32S6.py
630
+extra_scripts     = pre:buildroot/share/PlatformIO/scripts/fysetc_STM32S6.py
631
 src_filter        = ${common.default_src_filter} +<src/HAL/HAL_STM32>
631
 src_filter        = ${common.default_src_filter} +<src/HAL/HAL_STM32>
632
 lib_ignore        = Arduino-L6470
632
 lib_ignore        = Arduino-L6470
633
 debug_tool        = stlink
633
 debug_tool        = stlink

Carregando…
Cancelar
Salvar